Bug 708210 - ant-scripts should be executable
Summary: ant-scripts should be executable
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ant
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Permaine Cheung
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-26 22:31 UTC by Richard Guest
Modified: 2011-07-06 11:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-06 11:02:53 UTC
Type: ---


Attachments (Terms of Use)

Description Richard Guest 2011-05-26 22:31:34 UTC
Description of problem:
The perl and python scripts delivered in the ant-scripts sub-package are delivered 0644, they should (probably) be 0755:
/usr/bin/antRun.pl
/usr/bin/complete-ant-cmd.pl
/usr/bin/runant.pl
/usr/bin/runant.py

Version-Release number of selected component (if applicable):
1.8.2-3


At the very least, /usr/bin/complete-ant-cmd.pl should be 0755 - otherwise bash_completion for ant fails.

Comment 1 Alexander Kurtakov 2011-07-06 11:02:53 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=3182438


Note You need to log in before you can comment on or make changes to this bug.